AccessRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security, class: AccessRequest

Package org.apache.hadoop.yarn.security

# Class AccessRequest

java.lang.Object
org.apache.hadoop.yarn.security.AccessRequest

@Public @Unstable public class AccessRequest extends Object
This request object contains all the context information to determine whether a user has permission to access the target entity. user : the user who's currently accessing accessType : the access type against the entity. entity : the target object user is accessing. appId : the associated app Id for current access. This could be null if no app is associated. appName : the associated app name for current access. This could be null if no app is associated. remoteAddress : The caller's remote ip address. forwardedAddresses : In case this is an http request, this contains the originating IP address of a client connecting to a web server through an HTTP proxy or load balancer. This parameter is null, if it's a RPC request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessRequest(org.apache.hadoop.yarn.security.PrivilegedEntity entity, UserGroupInformation user, org.apache.hadoop.yarn.security.AccessType accessType, String appId, String appName, String remoteAddress, List<String> forwardedAddresses)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.security.AccessType`
  `getAccessType()`
  `String`
  `getAppId()`
  `String`
  `getAppName()`
  `org.apache.hadoop.yarn.security.PrivilegedEntity`
  `getEntity()`
  `List<String>`
  `getForwardedAddresses()`
  `String`
  `getRemoteAddress()`
  `UserGroupInformation`
  `getUser()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessRequest

    public AccessRequest(org.apache.hadoop.yarn.security.PrivilegedEntity entity, UserGroupInformation user, org.apache.hadoop.yarn.security.AccessType accessType, String appId, String appName, String remoteAddress, List<String> forwardedAddresses)

- ## Method Details

  - ### getUser

    public UserGroupInformation getUser()

  - ### getAccessType

    public org.apache.hadoop.yarn.security.AccessType getAccessType()

  - ### getAppId

    public String getAppId()

  - ### getAppName

    public String getAppName()

  - ### getEntity

    public org.apache.hadoop.yarn.security.PrivilegedEntity getEntity()

  - ### getForwardedAddresses

    public List<String> getForwardedAddresses()

  - ### getRemoteAddress

    public String getRemoteAddress()